API Reference for Marketo Engage

Update Email Template Content

POST /rest/asset/v1/emailTemplate/{id}/content.json

Updates the content of the given email template.

Operation ID
updateEmailTemplateContentUsingPOST
Permissions
Read-Write Assets
Request format
multipart/form-data
Returns
ResponseOfIdResponse

Parameters

Path 1

id integer (int32) required

Request body

multipart/form-data · optional · UpdateEmailTemplateContentRequest · 1 properties

Sent as multipart form fields, one part per property. Upload fields take a file.

content string

Content for the email template. Multipart file.

Responses

200 OK ResponseOfIdResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of IdResponse

Model IdResponse

id integer (int32) required

Id of the asset

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results